import request from '@/utils/request'

// export const getPersonInfo = data => {
//   return service({
//     url: '/person_pay/getpersoninfo',
//     method: 'post',
//     data
//   })
// }

export function fetchList(query) {
  return request({
    url: '/yp/prod/list',
    method: 'post',
    data: query
  })
}

export function fetchProd(pid) {
  return request({
    url: '/yp/prod/detail',
    method: 'get',
    params: {
      pid
    }
  })
}

export function fetchPv(pv) {
  return request({
    url: '/yp/prod/pv',
    method: 'get',
    params: {
      pv
    }
  })
}

export function createArticle(data) {
  return request({
    url: '/yp/prod/create',
    method: 'post',
    data
  })
}

export function updateArticle(data) {
  return request({
    url: '/yp/prod/update',
    method: 'post',
    data
  })
}
