import Layout from '@/layout'

const sitesRouter = {
  path: '/sites',
  component: Layout,
  redirect: '/site/page',
  alwaysShow: true, // will always show the root menu
  name: 'Site',
  meta: {
    title: 'sites.sites',
    icon: 'people',
    roles: ['admin', 'assistant', 'runner'] // you can set roles in root nav
  },
  children: [{
    path: 'sitepage',
    component: () => import('@/views/site/list'),
    name: 'SiteList',
    meta: {
      title: 'sites.siteList',
      roles: ['admin', 'runner']

    }
  }]
}

export default sitesRouter
